Agendize Developers API

Templates


{ "id": {string}, "name": {string}, "media": {string}, "messageType": {string}, "html": {string}, "subject": {string}, "text": {string} }
id string Identifier of the campaign. read-only.
name string Name of the campaign. writable.
media string Media of the campaign. Values: "email", "textMessage". writable.
messageType string Type of the message. Value: "marketing", "transactional". writable.
subject string Subjet of the message sent. Only for "email" media. writable.
html string HTML body of the message sent. Only for "email" media. writable.
text string Text message of the campaign. Only for "textMessage" media. writable.

Delete

Deletes an entry on the template list.

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

DELETE https://api.agendize.com/api/2.3/communication/templates/{templateId}

Parameters

Parameter name Value Description
Path parameters
templateId string Template identifier.

Request body

Do not supply a request body with this method.

Response

If successful, this method returns an empty response body.


Get

Returns an entry of the campaign list.

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

GET https://api.agendize.com/api/2.3/communication/templates/{templateId}

Parameters

Parameter name Value Description
Path parameters
templateId string Template identifier.
fields string Specify the fields returned. Comma separated field names (ex: "id,subject").

Request body

Do not supply a request body with this method.

Response

If successful, this method returns a Template resource in the response body.


List

Returns entries on the campaign list.

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

GET https://api.agendize.com/api/2.3/communication/templates

Parameters

Parameter name Value Description
Optional query parameters
defaultTemplate boolean Retrieve default templates.
language string Language code. Only for default templates.
media boolean Retrieve campaign recipients for a media type only. Values: "email", "textMessage". Default: all media types.
fields string Specify the fields returned. Comma separated field names (ex: "id,subject").

Request body

Do not supply a request body with this method.

Response

If successful, this method returns a response body with the following structure:

{ items: [Campaign Resource] }